local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
s.RegisterModuleSpamFunction(AddonName, function() a.RunSpamTable()
	a.Flash("Legacy of the Emperor") -- not working correctly atm
	a.FlashAll("Clash", "Roll", "Dizzying Haze") -- if we are not in range, use these
	a.Flash("Spear Hand Strike", "Paralysis", "Leg Sweep") -- interrupt casters
	a.Flash("Provoke") -- taunt if tanking and not keeping aggro
	a.Flash("Purifying Brew",
	        "Guard",
	        "Expel Harm",
	        "Blackout Kick",
	        "Zen Sphere",
			"Breath of Fire",
			"Spinning Crane Kick",
			"Keg Smash",
			"Jab",
			"Tiger Palm")
	a.Flash("Elusive Brew") -- flash Elusive Brew at 3 Stacks
	a.Flash("Fortifying Brew") -- emergency CD
end)
